Patches for aports can be sent to this list

2 2

[alpine-aports] [PATCH] testing/pnmixer: new aport

Taner Tas
Details
Message ID
<20170406203038.393-1-taner76@gmail.com>
Sender timestamp
1491510638
DKIM signature
missing
Download raw message
Patch: +31 -0
https://github.com/nicklan/pnmixer
PNMixer is a simple mixer application designed to run in system tray.
---
 testing/pnmixer/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/pnmixer/APKBUILD

diff --git a/testing/pnmixer/APKBUILD b/testing/pnmixer/APKBUILD
new file mode 100644
index 00000000..a6b7647a
--- /dev/null
+++ b/testing/pnmixer/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Taner Tas <taner76@gmail.com>
+# Maintainer: Taner Tas <taner76@gmail.com>
+pkgname=pnmixer
+pkgver=0.7.1_rc3
+_distver=0.7.1-rc3
+pkgrel=0
+pkgdesc="PNMixer is a simple mixer application designed to run in system tray."
+url="https://github.com/nicklan/pnmixer"
+arch="all"
+license="GPL"
+makedepends="cmake gettext gtk+2.0-dev alsa-lib-dev libnotify-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/nicklan/pnmixer/archive/v${_distver}.tar.gz"
+builddir="${srcdir}/${pkgname}-${_distver}"
+build() {
+	cd "$builddir"
+	cmake . \
+	-DCMAKE_BUILD_TYPE=Release \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DWITH_GTK3=OFF \
+	|| return 1
+	make 
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="1c8317c2496bf5651511b2bee681369ab9ff268b7a9105ff82db253b783ef95de18e68faef12561b1542c9457b05dd243b6b7d8d16388f923e64f88dca536a62  pnmixer-0.7.1_rc3.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<b73b58d7-424e-7f6e-fe4e-5304d8418689@gmail.com>
In-Reply-To
<20170406203038.393-1-taner76@gmail.com> (view parent)
Sender timestamp
1491826345
DKIM signature
missing
Download raw message
Hi,

thank you for your contribution.

On 06/04/2017 22:30, Taner Tas wrote:
> https://github.com/nicklan/pnmixer
> PNMixer is a simple mixer application designed to run in system tray.
> ---
>  testing/pnmixer/APKBUILD | 31 +++++++++++++++++++++++++++++++
>  1 file changed, 31 insertions(+)
>  create mode 100644 testing/pnmixer/APKBUILD
> 
> diff --git a/testing/pnmixer/APKBUILD b/testing/pnmixer/APKBUILD
> new file mode 100644
> index 00000000..a6b7647a
> --- /dev/null
> +++ b/testing/pnmixer/APKBUILD
> @@ -0,0 +1,31 @@
> +# Contributor: Taner Tas <taner76@gmail.com>
> +# Maintainer: Taner Tas <taner76@gmail.com>
> +pkgname=pnmixer
> +pkgver=0.7.1_rc3
> +_distver=0.7.1-rc3

A simple variable substitution would eliminate the need to define this
additional custom variable.

Thanks!

|_eo

[alpine-aports] [PATCH v2] testing/pnmixer: new aport

Taner Tas
Details
Message ID
<20170411052854.23065-1-taner76@gmail.com>
In-Reply-To
<20170406203038.393-1-taner76@gmail.com> (view parent)
Sender timestamp
1491888534
DKIM signature
missing
Download raw message
Patch: +28 -0
https://github.com/nicklan/pnmixer
PNMixer is a simple mixer application designed to run in system tray.
---
 testing/pnmixer/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/pnmixer/APKBUILD

diff --git a/testing/pnmixer/APKBUILD b/testing/pnmixer/APKBUILD
new file mode 100644
index 00000000..e7bdd240
--- /dev/null
+++ b/testing/pnmixer/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Taner Tas <taner76@gmail.com>
+pkgname=pnmixer
+pkgver=0.7.1_rc3
+pkgrel=0
+pkgdesc="PNMixer is a simple mixer application designed to run in system tray."
+url="https://github.com/nicklan/pnmixer"
+arch="all"
+license="GPL"
+makedepends="cmake gettext gtk+2.0-dev alsa-lib-dev libnotify-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/nicklan/pnmixer/archive/v${pkgver/_/-}.tar.gz"
+options="!check"
+builddir="${srcdir}/${pkgname}-${pkgver/_/-}"
+build() {
+	cd "$builddir"
+	cmake . \
+	-DCMAKE_BUILD_TYPE=Release \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DWITH_GTK3=OFF
+	make
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install
+}
+sha512sums="1c8317c2496bf5651511b2bee681369ab9ff268b7a9105ff82db253b783ef95de18e68faef12561b1542c9457b05dd243b6b7d8d16388f923e64f88dca536a62  pnmixer-0.7.1_rc3.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---